
function scJQGeneralAdd() {
  scLoadScInput('input:text.sc-js-input');
  scLoadScInput('input:password.sc-js-input');
  scLoadScInput('input:checkbox.sc-js-input');
  scLoadScInput('input:radio.sc-js-input');
  scLoadScInput('select.sc-js-input');
  scLoadScInput('textarea.sc-js-input');

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if ($("#id_ac_" + sField).length > 0) {
    if ($oField.hasClass("select2-hidden-accessible")) {
      if (false == scSetFocusOnField($oField)) {
        setTimeout(function() { scSetFocusOnField($oField); }, 500);
      }
    }
    else {
      if (false == scSetFocusOnField($oField)) {
        if (false == scSetFocusOnField($("#id_ac_" + sField))) {
          setTimeout(function() { scSetFocusOnField($("#id_ac_" + sField)); }, 500);
        }
      }
      else {
        setTimeout(function() { scSetFocusOnField($oField); }, 500);
      }
    }
  }
  else {
    setTimeout(function() { scSetFocusOnField($oField); }, 500);
  }
} // scFocusField

function scSetFocusOnField($oField) {
  if ($oField.length > 0 && $oField[0].offsetHeight > 0 && $oField[0].offsetWidth > 0 && !$oField[0].disabled) {
    $oField[0].focus();
    return true;
  }
  return false;
} // scSetFocusOnField

function scEventControl_init(iSeqRow) {
  scEventControl_data["nome_cliente" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["fone_cliente" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["cod_painel_fk" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["login" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["senha" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["dt_criacao" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["dt_validade" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["cod_forma_pagto_fk" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["alerta" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["observacoes" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["vlr_custo" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["vlr_venda" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
  scEventControl_data["vlr_lucro" + iSeqRow] = {"blur": false, "change": false, "autocomp": false, "original": "", "calculated": ""};
}

function scEventControl_active(iSeqRow) {
  if (scEventControl_data["nome_cliente" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["nome_cliente" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["fone_cliente" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["fone_cliente" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["cod_painel_fk" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["cod_painel_fk" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["login" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["login" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["senha" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["senha" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["dt_criacao" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["dt_criacao" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["dt_validade" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["dt_validade" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["cod_forma_pagto_fk" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["cod_forma_pagto_fk" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["alerta" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["alerta" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["observacoes" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["observacoes" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["vlr_custo" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["vlr_custo" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["vlr_venda" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["vlr_venda" + iSeqRow]["change"]) {
    return true;
  }
  if (scEventControl_data["vlr_lucro" + iSeqRow]["blur"]) {
    return true;
  }
  if (scEventControl_data["vlr_lucro" + iSeqRow]["change"]) {
    return true;
  }
  return false;
} // scEventControl_active

function scEventControl_onFocus(oField, iSeq) {
  var fieldId, fieldName;
  fieldId = $(oField).attr("id");
  fieldName = fieldId.substr(12);
  scEventControl_data[fieldName]["blur"] = true;
  if ("cod_painel_fk" + iSeq == fieldName) {
    scEventControl_data[fieldName]["blur"] = false;
  }
  if ("cod_forma_pagto_fk" + iSeq == fieldName) {
    scEventControl_data[fieldName]["blur"] = false;
  }
  if ("cod_painel_fk" + iSeq == fieldName) {
    scEventControl_data[fieldName]["change"]   = true;
    scEventControl_data[fieldName]["original"] = $(oField).val();
    scEventControl_data[fieldName]["calculated"] = $(oField).val();
    return;
  }
  if ("vlr_venda" + iSeq == fieldName) {
    scEventControl_data[fieldName]["change"]   = true;
    scEventControl_data[fieldName]["original"] = $(oField).val();
    scEventControl_data[fieldName]["calculated"] = $(oField).val();
    return;
  }
  scEventControl_data[fieldName]["change"] = false;
} // scEventControl_onFocus

function scEventControl_onBlur(sFieldName) {
  scEventControl_data[sFieldName]["blur"] = false;
  if (scEventControl_data[sFieldName]["change"]) {
        if (scEventControl_data[sFieldName]["original"] == $("#id_sc_field_" + sFieldName).val() || scEventControl_data[sFieldName]["calculated"] == $("#id_sc_field_" + sFieldName).val()) {
          scEventControl_data[sFieldName]["change"] = false;
        }
  }
} // scEventControl_onBlur

function scEventControl_onChange(sFieldName) {
  scEventControl_data[sFieldName]["change"] = false;
} // scEventControl_onChange

function scEventControl_onAutocomp(sFieldName) {
  scEventControl_data[sFieldName]["autocomp"] = false;
} // scEventControl_onChange

var scEventControl_data = {};

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_cod_mensal_pk' + iSeqRow).bind('change', function() { sc_form_tab_mensalidade_novo_cod_mensal_pk_onchange(this, iSeqRow) });
  $('#id_sc_field_cod_cliente_fk' + iSeqRow).bind('change', function() { sc_form_tab_mensalidade_novo_cod_cliente_fk_onchange(this, iSeqRow) });
  $('#id_sc_field_fone_cliente' + iSeqRow).bind('blur', function() { sc_form_tab_mensalidade_novo_fone_cliente_onblur(this, iSeqRow) })
                                          .bind('change', function() { sc_form_tab_mensalidade_novo_fone_cliente_onchange(this, iSeqRow) })
                                          .bind('focus', function() { sc_form_tab_mensalidade_novo_fone_cliente_onfocus(this, iSeqRow) });
  $('#id_sc_field_cod_painel_fk' + iSeqRow).bind('blur', function() { sc_form_tab_mensalidade_novo_cod_painel_fk_onblur(this, iSeqRow) })
                                           .bind('change', function() { sc_form_tab_mensalidade_novo_cod_painel_fk_onchange(this, iSeqRow) })
                                           .bind('focus', function() { sc_form_tab_mensalidade_novo_cod_painel_fk_onfocus(this, iSeqRow) });
  $('#id_sc_field_login' + iSeqRow).bind('blur', function() { sc_form_tab_mensalidade_novo_login_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_tab_mensalidade_novo_login_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_tab_mensalidade_novo_login_onfocus(this, iSeqRow) });
  $('#id_sc_field_senha' + iSeqRow).bind('blur', function() { sc_form_tab_mensalidade_novo_senha_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_tab_mensalidade_novo_senha_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_tab_mensalidade_novo_senha_onfocus(this, iSeqRow) });
  $('#id_sc_field_dt_criacao' + iSeqRow).bind('blur', function() { sc_form_tab_mensalidade_novo_dt_criacao_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_tab_mensalidade_novo_dt_criacao_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_tab_mensalidade_novo_dt_criacao_onfocus(this, iSeqRow) });
  $('#id_sc_field_dt_validade' + iSeqRow).bind('blur', function() { sc_form_tab_mensalidade_novo_dt_validade_onblur(this, iSeqRow) })
                                         .bind('change', function() { sc_form_tab_mensalidade_novo_dt_validade_onchange(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_tab_mensalidade_novo_dt_validade_onfocus(this, iSeqRow) });
  $('#id_sc_field_usuario' + iSeqRow).bind('change', function() { sc_form_tab_mensalidade_novo_usuario_onchange(this, iSeqRow) });
  $('#id_sc_field_status' + iSeqRow).bind('change', function() { sc_form_tab_mensalidade_novo_status_onchange(this, iSeqRow) });
  $('#id_sc_field_vlr_custo' + iSeqRow).bind('blur', function() { sc_form_tab_mensalidade_novo_vlr_custo_onblur(this, iSeqRow) })
                                       .bind('change', function() { sc_form_tab_mensalidade_novo_vlr_custo_onchange(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_tab_mensalidade_novo_vlr_custo_onfocus(this, iSeqRow) });
  $('#id_sc_field_vlr_venda' + iSeqRow).bind('blur', function() { sc_form_tab_mensalidade_novo_vlr_venda_onblur(this, iSeqRow) })
                                       .bind('change', function() { sc_form_tab_mensalidade_novo_vlr_venda_onchange(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_tab_mensalidade_novo_vlr_venda_onfocus(this, iSeqRow) });
  $('#id_sc_field_vlr_lucro' + iSeqRow).bind('blur', function() { sc_form_tab_mensalidade_novo_vlr_lucro_onblur(this, iSeqRow) })
                                       .bind('change', function() { sc_form_tab_mensalidade_novo_vlr_lucro_onchange(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_tab_mensalidade_novo_vlr_lucro_onfocus(this, iSeqRow) });
  $('#id_sc_field_observacoes' + iSeqRow).bind('blur', function() { sc_form_tab_mensalidade_novo_observacoes_onblur(this, iSeqRow) })
                                         .bind('change', function() { sc_form_tab_mensalidade_novo_observacoes_onchange(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_tab_mensalidade_novo_observacoes_onfocus(this, iSeqRow) });
  $('#id_sc_field_cod_forma_pagto_fk' + iSeqRow).bind('blur', function() { sc_form_tab_mensalidade_novo_cod_forma_pagto_fk_onblur(this, iSeqRow) })
                                                .bind('change', function() { sc_form_tab_mensalidade_novo_cod_forma_pagto_fk_onchange(this, iSeqRow) })
                                                .bind('focus', function() { sc_form_tab_mensalidade_novo_cod_forma_pagto_fk_onfocus(this, iSeqRow) });
  $('#id_sc_field_alerta' + iSeqRow).bind('blur', function() { sc_form_tab_mensalidade_novo_alerta_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_tab_mensalidade_novo_alerta_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_tab_mensalidade_novo_alerta_onfocus(this, iSeqRow) });
  $('#id_sc_field_nome_cliente' + iSeqRow).bind('blur', function() { sc_form_tab_mensalidade_novo_nome_cliente_onblur(this, iSeqRow) })
                                          .bind('change', function() { sc_form_tab_mensalidade_novo_nome_cliente_onchange(this, iSeqRow) })
                                          .bind('focus', function() { sc_form_tab_mensalidade_novo_nome_cliente_onfocus(this, iSeqRow) });
  $('.sc-ui-checkbox-alerta' + iSeqRow).on('click', function() { scMarkFormAsChanged(); });
} // scJQEventsAdd

function sc_form_tab_mensalidade_novo_cod_mensal_pk_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_cod_cliente_fk_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_fone_cliente_onblur(oThis, iSeqRow) {
  do_ajax_form_tab_mensalidade_novo_validate_fone_cliente();
  scCssBlur(oThis);
}

function sc_form_tab_mensalidade_novo_fone_cliente_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_fone_cliente_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_tab_mensalidade_novo_cod_painel_fk_onblur(oThis, iSeqRow) {
  do_ajax_form_tab_mensalidade_novo_validate_cod_painel_fk();
  scCssBlur(oThis);
}

function sc_form_tab_mensalidade_novo_cod_painel_fk_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
  do_ajax_form_tab_mensalidade_novo_event_cod_painel_fk_onchange();
}

function sc_form_tab_mensalidade_novo_cod_painel_fk_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_tab_mensalidade_novo_login_onblur(oThis, iSeqRow) {
  do_ajax_form_tab_mensalidade_novo_validate_login();
  scCssBlur(oThis);
}

function sc_form_tab_mensalidade_novo_login_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_login_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_tab_mensalidade_novo_senha_onblur(oThis, iSeqRow) {
  do_ajax_form_tab_mensalidade_novo_validate_senha();
  scCssBlur(oThis);
}

function sc_form_tab_mensalidade_novo_senha_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_senha_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_tab_mensalidade_novo_dt_criacao_onblur(oThis, iSeqRow) {
  do_ajax_form_tab_mensalidade_novo_validate_dt_criacao();
  scCssBlur(oThis);
}

function sc_form_tab_mensalidade_novo_dt_criacao_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_dt_criacao_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_tab_mensalidade_novo_dt_validade_onblur(oThis, iSeqRow) {
  do_ajax_form_tab_mensalidade_novo_validate_dt_validade();
  scCssBlur(oThis);
}

function sc_form_tab_mensalidade_novo_dt_validade_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_dt_validade_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_tab_mensalidade_novo_usuario_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_status_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_vlr_custo_onblur(oThis, iSeqRow) {
  do_ajax_form_tab_mensalidade_novo_validate_vlr_custo();
  scCssBlur(oThis);
}

function sc_form_tab_mensalidade_novo_vlr_custo_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_vlr_custo_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_tab_mensalidade_novo_vlr_venda_onblur(oThis, iSeqRow) {
  do_ajax_form_tab_mensalidade_novo_validate_vlr_venda();
  scCssBlur(oThis);
}

function sc_form_tab_mensalidade_novo_vlr_venda_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
  do_ajax_form_tab_mensalidade_novo_event_vlr_venda_onchange();
}

function sc_form_tab_mensalidade_novo_vlr_venda_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_tab_mensalidade_novo_vlr_lucro_onblur(oThis, iSeqRow) {
  do_ajax_form_tab_mensalidade_novo_validate_vlr_lucro();
  scCssBlur(oThis);
}

function sc_form_tab_mensalidade_novo_vlr_lucro_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_vlr_lucro_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_tab_mensalidade_novo_observacoes_onblur(oThis, iSeqRow) {
  do_ajax_form_tab_mensalidade_novo_validate_observacoes();
  scCssBlur(oThis);
}

function sc_form_tab_mensalidade_novo_observacoes_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_observacoes_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_tab_mensalidade_novo_cod_forma_pagto_fk_onblur(oThis, iSeqRow) {
  do_ajax_form_tab_mensalidade_novo_validate_cod_forma_pagto_fk();
  scCssBlur(oThis);
}

function sc_form_tab_mensalidade_novo_cod_forma_pagto_fk_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_cod_forma_pagto_fk_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_tab_mensalidade_novo_alerta_onblur(oThis, iSeqRow) {
  do_ajax_form_tab_mensalidade_novo_validate_alerta();
  scCssBlur(oThis);
}

function sc_form_tab_mensalidade_novo_alerta_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_alerta_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function sc_form_tab_mensalidade_novo_nome_cliente_onblur(oThis, iSeqRow) {
  do_ajax_form_tab_mensalidade_novo_validate_nome_cliente();
  scCssBlur(oThis);
}

function sc_form_tab_mensalidade_novo_nome_cliente_onchange(oThis, iSeqRow) {
  scMarkFormAsChanged();
}

function sc_form_tab_mensalidade_novo_nome_cliente_onfocus(oThis, iSeqRow) {
  scEventControl_onFocus(oThis, iSeqRow);
  scCssFocus(oThis);
}

function displayChange_block(block, status) {
	if ("0" == block) {
		displayChange_block_0(status);
	}
	if ("1" == block) {
		displayChange_block_1(status);
	}
}

function displayChange_block_0(status) {
	displayChange_field("nome_cliente", "", status);
	displayChange_field("fone_cliente", "", status);
	displayChange_field("cod_painel_fk", "", status);
	displayChange_field("login", "", status);
	displayChange_field("senha", "", status);
	displayChange_field("dt_criacao", "", status);
	displayChange_field("dt_validade", "", status);
	displayChange_field("cod_forma_pagto_fk", "", status);
	displayChange_field("alerta", "", status);
	displayChange_field("observacoes", "", status);
}

function displayChange_block_1(status) {
	displayChange_field("vlr_custo", "", status);
	displayChange_field("vlr_venda", "", status);
	displayChange_field("vlr_lucro", "", status);
}

function displayChange_row(row, status) {
	displayChange_field_nome_cliente(row, status);
	displayChange_field_fone_cliente(row, status);
	displayChange_field_cod_painel_fk(row, status);
	displayChange_field_login(row, status);
	displayChange_field_senha(row, status);
	displayChange_field_dt_criacao(row, status);
	displayChange_field_dt_validade(row, status);
	displayChange_field_cod_forma_pagto_fk(row, status);
	displayChange_field_alerta(row, status);
	displayChange_field_observacoes(row, status);
	displayChange_field_vlr_custo(row, status);
	displayChange_field_vlr_venda(row, status);
	displayChange_field_vlr_lucro(row, status);
}

function displayChange_field(field, row, status) {
	if ("nome_cliente" == field) {
		displayChange_field_nome_cliente(row, status);
	}
	if ("fone_cliente" == field) {
		displayChange_field_fone_cliente(row, status);
	}
	if ("cod_painel_fk" == field) {
		displayChange_field_cod_painel_fk(row, status);
	}
	if ("login" == field) {
		displayChange_field_login(row, status);
	}
	if ("senha" == field) {
		displayChange_field_senha(row, status);
	}
	if ("dt_criacao" == field) {
		displayChange_field_dt_criacao(row, status);
	}
	if ("dt_validade" == field) {
		displayChange_field_dt_validade(row, status);
	}
	if ("cod_forma_pagto_fk" == field) {
		displayChange_field_cod_forma_pagto_fk(row, status);
	}
	if ("alerta" == field) {
		displayChange_field_alerta(row, status);
	}
	if ("observacoes" == field) {
		displayChange_field_observacoes(row, status);
	}
	if ("vlr_custo" == field) {
		displayChange_field_vlr_custo(row, status);
	}
	if ("vlr_venda" == field) {
		displayChange_field_vlr_venda(row, status);
	}
	if ("vlr_lucro" == field) {
		displayChange_field_vlr_lucro(row, status);
	}
}

function displayChange_field_nome_cliente(row, status) {
}

function displayChange_field_fone_cliente(row, status) {
}

function displayChange_field_cod_painel_fk(row, status) {
}

function displayChange_field_login(row, status) {
}

function displayChange_field_senha(row, status) {
}

function displayChange_field_dt_criacao(row, status) {
}

function displayChange_field_dt_validade(row, status) {
}

function displayChange_field_cod_forma_pagto_fk(row, status) {
}

function displayChange_field_alerta(row, status) {
}

function displayChange_field_observacoes(row, status) {
}

function displayChange_field_vlr_custo(row, status) {
}

function displayChange_field_vlr_venda(row, status) {
}

function displayChange_field_vlr_lucro(row, status) {
}

function scRecreateSelect2() {
}
function scResetPagesDisplay() {
	$(".sc-form-page").show();
}

function scHidePage(pageNo) {
	$("#id_form_tab_mensalidade_novo_form" + pageNo).hide();
}

function scCheckNoPageSelected() {
	if (!$(".sc-form-page").filter(".scTabActive").filter(":visible").length) {
		var inactiveTabs = $(".sc-form-page").filter(".scTabInactive").filter(":visible");
		if (inactiveTabs.length) {
			var tabNo = $(inactiveTabs[0]).attr("id").substr(33);
		}
	}
}
var sc_jq_calendar_value = {};

function scJQCalendarAdd(iSeqRow) {
  $("#id_sc_field_dt_criacao" + iSeqRow).datepicker({
    beforeShow: function(input, inst) {
      var $oField = $(this),
          aParts  = $oField.val().split(" "),
          sTime   = "";
      sc_jq_calendar_value["#id_sc_field_dt_criacao" + iSeqRow] = $oField.val();
    },
    onClose: function(dateText, inst) {
      setTimeout(function() { do_ajax_form_tab_mensalidade_novo_validate_dt_criacao(iSeqRow); }, 200);
    },
    showWeek: true,
    numberOfMonths: 1,
    changeMonth: true,
    changeYear: true,
    yearRange: 'c-5:c+5',
    dayNames: ["<?php        echo html_entity_decode($this->Ini->Nm_lang['lang_days_sund'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_mond'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_tued'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_wend'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_thud'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_frid'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_satd'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>"],
    dayNamesMin: ["<?php     echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_sund'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_mond'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_tued'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_wend'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_thud'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_frid'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_satd'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>"],
    monthNames: ["<?php      echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_janu"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_febr"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_marc"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_apri"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_mayy"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_june"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_july"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_augu"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_sept"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_octo"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_nove"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_dece"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>"],
    monthNamesShort: ["<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_janu'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_febr'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_marc'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_apri'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_mayy'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_june'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_july'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_augu'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_sept'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_octo'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_nove'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_dece'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>"],
    weekHeader: "<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_days_sem'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>",
    firstDay: <?php echo $this->jqueryCalendarWeekInit("" . $_SESSION['scriptcase']['reg_conf']['date_week_ini'] . ""); ?>,
    dateFormat: "<?php echo $this->jqueryCalendarDtFormat("" . str_replace(array('/', 'aaaa', $_SESSION['scriptcase']['reg_conf']['date_sep']), array('', 'yyyy', ''), $this->field_config['dt_criacao']['date_format']) . "", "" . $_SESSION['scriptcase']['reg_conf']['date_sep'] . ""); ?>",
    showOtherMonths: true,
    showOn: "button",
<?php
$miniCalendarIcon   = $this->jqueryIconFile('calendar');
$miniCalendarFA     = $this->jqueryFAFile('calendar');
$miniCalendarButton = $this->jqueryButtonText('calendar');
if ('' != $miniCalendarIcon) {
?>
    buttonImage: "<?php echo $miniCalendarIcon; ?>",
    buttonImageOnly: true,
<?php
}
elseif ('' != $miniCalendarFA) {
?>
    buttonText: "<?php echo $miniCalendarFA; ?>",
<?php
}
elseif ('' != $miniCalendarButton[0]) {
?>
    buttonText: "<?php echo $miniCalendarButton[0]; ?>",
<?php
}
?>
    currentText: "<?php  echo html_entity_decode($this->Ini->Nm_lang["lang_per_today"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);       ?>",
    closeText: "<?php  echo html_entity_decode($this->Ini->Nm_lang["lang_btns_mess_clse"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);       ?>",
  });
  $("#id_sc_field_dt_validade" + iSeqRow).datepicker({
    beforeShow: function(input, inst) {
      var $oField = $(this),
          aParts  = $oField.val().split(" "),
          sTime   = "";
      sc_jq_calendar_value["#id_sc_field_dt_validade" + iSeqRow] = $oField.val();
    },
    onClose: function(dateText, inst) {
      setTimeout(function() { do_ajax_form_tab_mensalidade_novo_validate_dt_validade(iSeqRow); }, 200);
    },
    showWeek: true,
    numberOfMonths: 1,
    changeMonth: true,
    changeYear: true,
    yearRange: 'c-5:c+5',
    dayNames: ["<?php        echo html_entity_decode($this->Ini->Nm_lang['lang_days_sund'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_mond'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_tued'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_wend'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_thud'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_frid'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_satd'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);        ?>"],
    dayNamesMin: ["<?php     echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_sund'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_mond'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_tued'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_wend'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_thud'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_frid'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_satd'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>"],
    monthNames: ["<?php      echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_janu"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_febr"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_marc"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_apri"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_mayy"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_june"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_july"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_augu"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_sept"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_octo"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_nove"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>","<?php echo html_entity_decode($this->Ini->Nm_lang["lang_mnth_dece"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);      ?>"],
    monthNamesShort: ["<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_janu'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_febr'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_marc'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_apri'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_mayy'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_june'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_july'], ENT_COMPAT, $_SESSION['scriptcase']['charset']);   ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_augu'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_sept'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_octo'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_nove'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>","<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_dece'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>"],
    weekHeader: "<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_days_sem'], ENT_COMPAT, $_SESSION['scriptcase']['charset']); ?>",
    firstDay: <?php echo $this->jqueryCalendarWeekInit("" . $_SESSION['scriptcase']['reg_conf']['date_week_ini'] . ""); ?>,
    dateFormat: "<?php echo $this->jqueryCalendarDtFormat("" . str_replace(array('/', 'aaaa', $_SESSION['scriptcase']['reg_conf']['date_sep']), array('', 'yyyy', ''), $this->field_config['dt_validade']['date_format']) . "", "" . $_SESSION['scriptcase']['reg_conf']['date_sep'] . ""); ?>",
    showOtherMonths: true,
    showOn: "button",
<?php
$miniCalendarIcon   = $this->jqueryIconFile('calendar');
$miniCalendarFA     = $this->jqueryFAFile('calendar');
$miniCalendarButton = $this->jqueryButtonText('calendar');
if ('' != $miniCalendarIcon) {
?>
    buttonImage: "<?php echo $miniCalendarIcon; ?>",
    buttonImageOnly: true,
<?php
}
elseif ('' != $miniCalendarFA) {
?>
    buttonText: "<?php echo $miniCalendarFA; ?>",
<?php
}
elseif ('' != $miniCalendarButton[0]) {
?>
    buttonText: "<?php echo $miniCalendarButton[0]; ?>",
<?php
}
?>
    currentText: "<?php  echo html_entity_decode($this->Ini->Nm_lang["lang_per_today"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);       ?>",
    closeText: "<?php  echo html_entity_decode($this->Ini->Nm_lang["lang_btns_mess_clse"], ENT_COMPAT, $_SESSION["scriptcase"]["charset"]);       ?>",
  });
} // scJQCalendarAdd

function scJQUploadAdd(iSeqRow) {
} // scJQUploadAdd

var api_cache_requests = [];
function ajax_check_file(img_name, field  ,t, p, p_cache, iSeqRow, hasRun, img_before){
    setTimeout(function(){
        if(img_name == '') return;
        iSeqRow= iSeqRow !== undefined && iSeqRow !== null ? iSeqRow : '';
        var hasVar = p.indexOf('_@NM@_') > -1 || p_cache.indexOf('_@NM@_') > -1 ? true : false;

        p = p.split('_@NM@_');
        $.each(p, function(i,v){
            try{
                p[i] = $('[name='+v+iSeqRow+']').val();
            }
            catch(err){
                p[i] = v;
            }
        });
        p = p.join('');

        p_cache = p_cache.split('_@NM@_');
        $.each(p_cache, function(i,v){
            try{
                p_cache[i] = $('[name='+v+iSeqRow+']').val();
            }
            catch(err){
                p_cache[i] = v;
            }
        });
        p_cache = p_cache.join('');

        img_before = img_before !== undefined ? img_before : $(t).attr('src');
        var str_key_cache = '<?php echo $this->Ini->sc_page; ?>' + img_name+field+p+p_cache;
        if(api_cache_requests[ str_key_cache ] !== undefined && api_cache_requests[ str_key_cache ] !== null){
            if(api_cache_requests[ str_key_cache ] != false){
                do_ajax_check_file(api_cache_requests[ str_key_cache ], field  ,t, iSeqRow);
            }
            return;
        }
        //scAjaxProcOn();
        $(t).attr('src', '<?php echo $this->Ini->path_icones ?>/scriptcase__NM__ajax_load.gif');
        api_cache_requests[ str_key_cache ] = false;
        var rs =$.ajax({
                    type: "POST",
                    url: 'index.php?script_case_init=<?php echo $this->Ini->sc_page; ?>',
                    async: true,
                    data:'nmgp_opcao=ajax_check_file&AjaxCheckImg=' + encodeURI(img_name) +'&rsargs='+ field + '&p=' + p + '&p_cache=' + p_cache,
                    success: function (rs) {
                        if(rs.indexOf('</span>') != -1){
                            rs = rs.substr(rs.indexOf('</span>') + 7);
                        }
                        if(rs.indexOf('/') != -1 && rs.indexOf('/') != 0){
                            rs = rs.substr(rs.indexOf('/'));
                        }
                        rs = sc_trim(rs);

                        // if(rs == 0 && hasVar && hasRun === undefined){
                        //     delete window.api_cache_requests[ str_key_cache ];
                        //     ajax_check_file(img_name, field  ,t, p, p_cache, iSeqRow, 1, img_before);
                        //     return;
                        // }
                        window.api_cache_requests[ str_key_cache ] = rs;
                        do_ajax_check_file(rs, field  ,t, iSeqRow)
                        if(rs == 0){
                            delete window.api_cache_requests[ str_key_cache ];

                           // $(t).attr('src',img_before);
                            do_ajax_check_file(img_before+'_@@NM@@_' + img_before, field  ,t, iSeqRow)

                        }


                    }
        });
    },100);
}

function do_ajax_check_file(rs, field  ,t, iSeqRow){
    if (rs != 0) {
        rs_split = rs.split('_@@NM@@_');
        rs_orig = rs_split[0];
        rs2 = rs_split[1];
        try{
            if(!$(t).is('img')){

                if($('#id_read_on_'+field+iSeqRow).length > 0 ){
                                    var usa_read_only = false;

                switch(field){

                }
                     if(usa_read_only && $('a',$('#id_read_on_'+field+iSeqRow)).length == 0){
                         $(t).html("<a href=\"javascript:nm_mostra_doc('0', '"+rs2+"', 'form_tab_mensalidade_novo')\">"+$('#id_read_on_'+field+iSeqRow).text()+"</a>");
                     }
                }
                if($('#id_ajax_doc_'+field+iSeqRow+' a').length > 0){
                    var target = $('#id_ajax_doc_'+field+iSeqRow+' a').attr('href').split(',');
                    target[1] = "'"+rs2+"'";
                    $('#id_ajax_doc_'+field+iSeqRow+' a').attr('href', target.join(','));
                }else{
                    var target = $(t).attr('href').split(',');
                     target[1] = "'"+rs2+"'";
                     $(t).attr('href', target.join(','));
                }
            }else{
                $(t).attr('src', rs2);
                $(t).css('display', '');
                if($('#id_ajax_doc_'+field+iSeqRow+' a').length > 0){
                    var target = $('#id_ajax_doc_'+field+iSeqRow+' a').attr('href').split(',');
                    target[1] = "'"+rs2+"'";
                    $(t).attr('href', target.join(','));
                }else{
                     var t_link = $(t).parent('a');
                     var target = $(t_link).attr('href').split(',');
                     target[0] = "javascript:nm_mostra_img('"+rs_orig+"'";
                     $(t_link).attr('href', target.join(','));
                }

            }
            eval("window.var_ajax_img_"+field+iSeqRow+" = '"+rs_orig+"';");

        } catch(err){
                        eval("window.var_ajax_img_"+field+iSeqRow+" = '"+rs_orig+"';");

        }
    }
   /* hasFalseCacheRequest = false;
    $.each(api_cache_requests, function(i,v){
        if(v == false){
            hasFalseCacheRequest = true;
        }
    });
    if(hasFalseCacheRequest == false){
        scAjaxProcOff();
    }*/
}

$(document).ready(function(){
});function scJQPasswordToggleAdd(seqRow) {
  $(".sc-ui-pwd-toggle-icon" + seqRow).on("click", function() {
    var fieldName = $(this).attr("id").substr(17), fieldObj = $("#id_sc_field_" + fieldName), fieldFA = $("#id_pwd_fa_" + fieldName);
    if ("text" == fieldObj.attr("type")) {
      fieldObj.attr("type", "password");
      fieldFA.attr("class", "fa fa-eye sc-ui-pwd-eye");
    } else {
      fieldObj.attr("type", "text");
      fieldFA.attr("class", "fa fa-eye-slash sc-ui-pwd-eye");
    }
  });
} // scJQPasswordToggleAdd

function scJQSelect2Add(seqRow, specificField) {
} // scJQSelect2Add


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
  scEventControl_init(iLine);
  scJQCalendarAdd(iLine);
  scJQUploadAdd(iLine);
  scJQPasswordToggleAdd(iLine);
  scJQSelect2Add(iLine);
} // scJQElementsAdd

function scGetFileExtension(fileName)
{
    fileNameParts = fileName.split(".");

    if (1 === fileNameParts.length || (2 === fileNameParts.length && "" == fileNameParts[0])) {
        return "";
    }

    return fileNameParts.pop().toLowerCase();
}

function scFormatExtensionSizeErrorMsg(errorMsg)
{
    var msgInfo = errorMsg.split("||"), returnMsg = "";

    if ("err_size" == msgInfo[0]) {
        returnMsg = "<?php echo $this->Ini->Nm_lang['lang_errm_file_size'] ?>. <?php echo $this->Ini->Nm_lang['lang_errm_file_size_extension'] ?>".replace("{SC_EXTENSION}", msgInfo[1]).replace("{SC_LIMIT}", msgInfo[2]);
    } else if ("err_extension" == msgInfo[0]) {
        returnMsg = "<?php echo $this->Ini->Nm_lang['lang_errm_file_invl'] ?>";
    }

    return returnMsg;
}

